Subject: Re: bug#44128: [feature/native-comp]

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Apr 2021 16:52:01 +0300

> From: Phil Sainty <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> Date: Fri, 16 Apr 2021 01:01:08 +1200
> 
> I'll add that the following two results suggest that the code
> which (this version of) Emacs tries to load or run might vary
> depending on the files which happen to be in the CWD at the time.
> 
> I think at best this may result in failures or inconsistencies
> as I've encountered, and at worst it's probably exploitable.
> 
> Surely the start-up process shouldn't be looking in the CWD
> for anything?

I'm not sure I see how you reach that conclusion.  Isn't
/home/phil/emacs/native-comp/usr/local/bin/ on your PATH?  If not, how
come the Emacs executable in that directory gets invoked?  Or maybe
you have "." in your PATH?